
  // importing the express module and cors.
const express = require("express");
const cors = require("cors"); //Cross-Origin Resource Sharing(cors)
// created app variable 
const app = express();

// corsOptions object enables CORS action for all origins running on port 8081 only
// var corsOptions = {
//   origin: "http://localhost:8080"
// };

const corsOptions ={
  origin:'http://localhost:3000', 
  credentials:true,            //access-control-allow-credentials:true
  optionSuccessStatus:200,
}


app.use(cors(corsOptions));

// parse requests of content-type - application/json
app.use(express.json());

// parse requests of content-type - application/x-www-form-urlencoded
app.use(express.urlencoded({ extended: true }));

// simple route
app.get("/", (req, res) => {
  res.json({ message: "Welcome to Employee application." });
});

require("./src/routes/timeTracking.route")(app);
require("./src/routes/leaveManagement.route")(app);

// set port, listen for requests
const PORT = process.env.PORT || 8080;
app.listen(PORT, () => {
  console.log(`Server is running on port ${PORT}.`);
});



